<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Cogl experimental API</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl Reference Manual">
<link rel="up" href="index.html" title="Cogl Reference Manual">
<link rel="prev" href="cogl-GType-Integration-API.html" title="GType Integration API">
<link rel="next" href="cogl-Buffers.html" title="Buffers">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
<td><a accesskey="p" href="cogl-GType-Integration-API.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td> </td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl Reference Manual</th>
<td><a accesskey="n" href="cogl-Buffers.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="idm140727929392304"></a>Cogl experimental API</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt><span class="section"><a href="ch02.html#cogl-experimental">About the experimental API</a></span></dt>
<dt>
<span class="refentrytitle"><a href="cogl-Buffers.html">Buffers</a></span><span class="refpurpose"> — Common buffer functions, including data upload APIs</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Vectors.html">Vectors</a></span><span class="refpurpose"> — Functions for handling single precision float
                    vectors.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-3D-textures.html">3D textures</a></span><span class="refpurpose"> — Functions for creating and manipulating 3D textures</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Quaternions-(Rotations).html">Quaternions (Rotations)</a></span><span class="refpurpose"> — Functions for initializing and manipulating
quaternions.</span>
</dt>
</dl></div>
<div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="cogl-experimental"></a>About the experimental API</h2></div></div></div>
<p>Cogl has some experimental API developers are welcomed to play
      with. The main drawback when using those is that there is no API
      stability guarantee, functions flagged as experimental could be changed
      or removed in future versions of the library. To use this experimental
      API you will need to define
      <code class="literal">COGL_ENABLE_EXPERIMENTAL_API</code> before including
      <code class="filename">&lt;clutter/clutter.h&gt;</code> or
      <code class="filename">&lt;cogl/cogl.h&gt;</code>.</p>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>